<?php

  session_start();
  include('../../../php/conn_2.php');
  if(!isset($_SESSION["id"])){
    header('Location: index.php');
  }

  mysqli_query($enlace, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
  mysqli_query($enlacehost, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");

  // Asigna mes por defecto cuando venga vacío
  $filtro_mes = '';

  // Obtiene todos los parámetros por defecto
  if($_GET["mes"] == 'null'){
  	// Nombre de tabla de resultados
    $query = "SELECT tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)) {
      if (mysqli_num_rows($res) > 0) {
        while($row = mysqli_fetch_assoc($res)) {
          $nom_tabla = $row["tabla_encuesta"];
        }
      }
    }

    // Encuesta
    $query = "SELECT cod_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_encuesta = $row["cod_encuesta"];
      };
    }

	// Último año con datos
    $query = "SELECT YEAR(submitdate) AS Anho FROM ".$nom_tabla." WHERE submitdate IS NOT NULL GROUP BY YEAR(submitdate) ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_anho = $row["Anho"];
      };
    }

    // Último mes con datos
    $query = "SELECT cod_mes FROM ".$nom_tabla." WHERE submitdate IS NOT NULL AND cod_anho = ".$filtro_anho." GROUP BY cod_mes ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_mes = $row["cod_mes"];
      };
    }

	$filtro_filtros = '';
  }
  else{
  	$nom_tabla = $_GET["tabla_resultados"];

  	$filtro_encuesta = $_GET["cod_encuesta"];
  	$filtro_anho = $_GET["anho"];
  	$filtro_mes = $_GET["mes"];
  	$filtro_filtros = $_GET["filtros"];
  }

  // Arma los filtros
  if(isset($filtro_filtros)){
    if(strlen($filtro_filtros) > 0){
      $filtros = " AND ".$filtro_filtros;

      $filtros = str_replace("$", " ", $filtros);
    }
  }

  // Obtiene los datos para exportar a Excel
    if(isset($_GET["export_data"])){
        $query = "SELECT  `F1`, `F2`, `F3`, `F4`,
                          `F5`, `F6`, `P1`, `P2`,
                          `P3`, `P4`, `P5`, `P6`,
                          `P7`, `P8`, `P9`, `P10`,
                          `P11`, `P12`, `P13`, `P14`,
                          `P15`, `P16`,
                          `presentacion_ventanilla`,
                          `excelencia_atencion`,
                          `conducta_cajero`,
                          `puntaje_final`,
                          `cod_anho`,
                          `cod_mes`
                    FROM tb_resultados_falabella
                   WHERE cod_anho = ".$filtro_anho." ".
                    "AND cod_mes = ".$filtro_mes." ".$filtros;

        $resultado = mysqli_query($enlace, $query);

        $libros = array();
        while($rows = mysqli_fetch_assoc($resultado)) {
            $libros[] = $rows;
        }

        // Exportando a Excel
            if(!empty($libros)) {
                $filename = "resultados_encuestasgps.xls";
                header("Content-Type: application/vnd.ms-excel");
                header("Content-Disposition: attachment; filename=".$filename);

                $mostrar_columnas = false;

                foreach($libros as $libro) {
                if(!$mostrar_columnas) {
                echo implode("\t", array_keys($libro)) . "\n";
                $mostrar_columnas = true;
                }
                echo implode("\t", array_values($libro)) . "\n";
                }

            }
            else{
            echo 'No hay datos a exportar';
            }
            exit;
    }

?>

<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <!-- Meta, title, CSS, favicons, etc. -->
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="images/favicon.ico" type="image/ico" />

    <title>Sistema Encuestas | </title>

    <!-- Bootstrap -->
    <link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- iCheck -->
    <link href="../vendors/iCheck/skins/flat/green.css" rel="stylesheet">
  
    <!-- bootstrap-progressbar -->
    <link href="../vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css" rel="stylesheet">
    <!-- JQVMap -->
    <link href="../vendors/jqvmap/dist/jqvmap.min.css" rel="stylesheet"/>
    <!-- bootstrap-daterangepicker -->
    <link href="../vendors/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../build/css/custom.min.css" rel="stylesheet">

    <style>
      /* Always set the map height explicitly to define the size of the div
       * element that contains the map. */
      #map {
        height: 100%;
        width: 100%;
      }
      /* Optional: Makes the sample page fill the window. */
      .map {
        height: 500px;
        margin: 0;
        padding: 0;
      }
    </style>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-12 col-sm-12 col-xs-12">
          <div class="x_panel" style="width: 5000px">
            <div class="x_title">
              <h2>
                Base de Datos de Encuestas
                <small>(Cargar toda la información podría tomar algunos segundos...)</small>
              </h2>
              <div class="clearfix">
              </div>
            </div>

            <div class="x_content">
              <!-- <form class="form-horizontal form-label-left input_mask">
                <div class="col-md-6 col-sm-6 col-xs-12 form-group">
                  <button type="submit" class="btn btn-success" name="export_data">
                    Exportar a Excel
                  </button>
                </div>
              </form> -->

              <div class="col-md-6 col-sm-6 col-xs-12">
              </div>
              <table id="lista_basedatos" class="table table-striped jambo_table bulk_action">
                <thead>
                  <tr Style="font-size: 12px">
                    <?php
                      // Obtiene las columnas de la tabla de resultados
                        $query = "SHOW COLUMNS FROM ".$nom_tabla." WHERE Field <> 'Id'";

                        $i = 1;

                        if ($res = mysqli_query($enlace, $query)) {
                          if (mysqli_num_rows($res) > 0) {
                            while($row = mysqli_fetch_assoc($res)) {
                              if ($i > 6){
                                $color = 'style="background-color:rgb(92,184,92)"';
                              }

                              echo '<th '.$color.'><center>'.$row["Field"].'</center></td>';

                              $i = $i + 1;
                            }
                          }
                        }
                    ?>
                  </tr>
                </thead>

                <tbody>
                  <?php
                    // Obtiene la base de datos
                      $query = "SELECT  `F1`, `F2`, `F3`, `F4`,
                                        `F5`, `F6`, `P1`, `P2`,
                                        `P3`, `P4`, `P5`, `P6`,
                                        `P7`, `P8`, `P9`, `P10`,
                                        `P11`, `P12`, `P13`, `P14`,
                                        `P15`, `P16`,
                                        `presentacion_ventanilla`,
                                        `excelencia_atencion`,
                                        `conducta_cajero`,
                                        `puntaje_final`,
                                        `cod_anho`,
                                        `cod_mes`
                                  FROM tb_resultados_falabella
                                 WHERE cod_anho = ".$filtro_anho." ".
                                  "AND cod_mes = ".$filtro_mes." ".$filtros;

                      if ($res2 = mysqli_query($enlace, $query)) {
                        if (mysqli_num_rows($res2) > 0) {
                          while($row2 = mysqli_fetch_assoc($res2)) {
                            echo '<tr Style="font-size: 12px">';

                            echo '  <td>'.$row2["F1"].'</center></td>';
                            echo '  <td>'.$row2["F2"].'</center></td>';
                            echo '  <td>'.$row2["F3"].'</center></td>';
                            echo '  <td>'.$row2["F4"].'</center></td>';
                            echo '  <td>'.$row2["F5"].'</center></td>';
                            echo '  <td>'.$row2["F6"].'</center></td>';
                            echo '  <td>'.$row2["P1"].'</center></td>';
                            echo '  <td>'.$row2["P2"].'</center></td>';
                            echo '  <td>'.$row2["P3"].'</center></td>';
                            echo '  <td>'.$row2["P4"].'</center></td>';
                            echo '  <td>'.$row2["P5"].'</center></td>';
                            echo '  <td>'.$row2["P6"].'</center></td>';
                            echo '  <td>'.$row2["P7"].'</center></td>';
                            echo '  <td>'.$row2["P8"].'</center></td>';
                            echo '  <td>'.$row2["P9"].'</center></td>';
                            echo '  <td>'.$row2["P10"].'</center></td>';
                            echo '  <td>'.$row2["P11"].'</center></td>';
                            echo '  <td>'.$row2["P12"].'</center></td>';
                            echo '  <td>'.$row2["P13"].'</center></td>';
                            echo '  <td>'.$row2["P14"].'</center></td>';
                            echo '  <td>'.$row2["P15"].'</center></td>';
                            echo '  <td>'.$row2["P16"].'</center></td>';
                            echo '  <td>'.$row2["presentacion_ventanilla"].'</center></td>';
                            echo '  <td>'.$row2["excelencia_atencion"].'</center></td>';
                            echo '  <td>'.$row2["conducta_cajero"].'</center></td>';
                            echo '  <td>'.$row2["puntaje_final"].'</center></td>';
                            echo '  <td>'.$row2["cod_anho"].'</center></td>';
                            echo '  <td>'.$row2["cod_mes"].'</center></td>';

                            echo '</tr>';
                          }
                        }
                      }
                  ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>

<?php
cerrarSesion($enlace);
?>
